net.sf.jasperreports.engine.base

## Class JRBasePen

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBasePen

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Deduplicable, JRChangeEventsSupport, JRPen
  Direct Known Subclasses:
    JRBaseBoxPen

      public class JRBasePen
      extends java.lang.Object
      implements JRPen, java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, Deduplicable

  This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.
  Version:
    $Id: JRBasePen.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `lineColor`
    `protected LineStyleEnum` | `lineStyleValue`
    `protected java.lang.Float` | `lineWidth`
    `protected JRPenContainer` | `penContainer`
    `static java.lang.String` | `PROPERTY_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_LINE_STYLE`
    `static java.lang.String` | `PROPERTY_LINE_WIDTH`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPen

      `LINE_WIDTH_0, LINE_WIDTH_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBasePen(JRPenContainer penContainer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPen` | `clone(JRPenContainer penContainer)`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `java.awt.Color` | `getLineColor()` Gets the line color.
    `LineStyleEnum` | `getLineStyleValue()` Indicates the line style used for this pen.
    `java.lang.Float` | `getLineWidth()` Gets the line width used for this pen.
    `java.awt.Color` | `getOwnLineColor()`
    `LineStyleEnum` | `getOwnLineStyleValue()` Indicates the line style used for this pen.
    `java.lang.Float` | `getOwnLineWidth()`
    `JRStyleContainer` | `getStyleContainer()`
    `java.lang.String` | `getStyleNameReference()`
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.
    `void` | `setLineColor(java.awt.Color lineColor)` Sets the line color.
    `void` | `setLineStyle(LineStyleEnum lineStyleValue)` Specifies the line style.
    `void` | `setLineWidth(float lineWidth)` Sets the line width.
    `void` | `setLineWidth(java.lang.Float lineWidth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_LINE_WIDTH

          public static final java.lang.String PROPERTY_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### PROPERTY_LINE_STYLE

          public static final java.lang.String PROPERTY_LINE_STYLE

      See Also:
        Constant Field Values

    - #### PROPERTY_LINE_COLOR

          public static final java.lang.String PROPERTY_LINE_COLOR

      See Also:
        Constant Field Values

    - #### penContainer

          protected JRPenContainer penContainer

    - #### lineWidth

          protected java.lang.Float lineWidth

    - #### lineStyleValue

          protected LineStyleEnum lineStyleValue

    - #### lineColor

          protected java.awt.Color lineColor

  - ### Constructor Detail

    - #### JRBasePen

          public JRBasePen(JRPenContainer penContainer)

  - ### Method Detail

    - #### getStyleContainer

          public JRStyleContainer getStyleContainer()

      Specified by:
        `getStyleContainer` in interface `JRPen`

    - #### getLineWidth

          public java.lang.Float getLineWidth()

      Description copied from interface: `JRPen`
      Gets the line width used for this pen.
      Specified by:
        `getLineWidth` in interface `JRPen`
      Returns:
        line width

    - #### getOwnLineWidth

          public java.lang.Float getOwnLineWidth()

      Specified by:
        `getOwnLineWidth` in interface `JRPen`

    - #### setLineWidth

          public void setLineWidth(float lineWidth)

      Description copied from interface: `JRPen`
      Sets the line width.
      Specified by:
        `setLineWidth` in interface `JRPen`
      Parameters:
        `lineWidth` - the line width

    - #### setLineWidth

          public void setLineWidth(java.lang.Float lineWidth)

      Specified by:
        `setLineWidth` in interface `JRPen`

    - #### getLineStyleValue

          public LineStyleEnum getLineStyleValue()

      Description copied from interface: `JRPen`
      Indicates the line style used for this pen.
      Specified by:
        `getLineStyleValue` in interface `JRPen`
      Returns:
        a value representing one of the line style constants in `LineStyleEnum`

    - #### getOwnLineStyleValue

          public LineStyleEnum getOwnLineStyleValue()

      Description copied from interface: `JRPen`
      Indicates the line style used for this pen.
      Specified by:
        `getOwnLineStyleValue` in interface `JRPen`
      Returns:
        a value representing one of the line style constants in `LineStyleEnum`

    - #### setLineStyle

          public void setLineStyle(LineStyleEnum lineStyleValue)

      Description copied from interface: `JRPen`
      Specifies the line style.
      Specified by:
        `setLineStyle` in interface `JRPen`
      Parameters:
        `lineStyleValue` - a value representing one of the line style constants in `LineStyleEnum`

    - #### getLineColor

          public java.awt.Color getLineColor()

      Description copied from interface: `JRPen`
      Gets the line color.
      Specified by:
        `getLineColor` in interface `JRPen`

    - #### getOwnLineColor

          public java.awt.Color getOwnLineColor()

      Specified by:
        `getOwnLineColor` in interface `JRPen`

    - #### setLineColor

          public void setLineColor(java.awt.Color lineColor)

      Description copied from interface: `JRPen`
      Sets the line color.
      Specified by:
        `setLineColor` in interface `JRPen`

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

    - #### clone

          public JRPen clone(JRPenContainer penContainer)

      Specified by:
        `clone` in interface `JRPen`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Specified by:
        `getHashCode` in interface `Deduplicable`
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Specified by:
        `isIdentical` in interface `Deduplicable`
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com